Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

Anyone know what versions of Python Mapnik is compatible with?

I'm having trouble getting Mapnik to work. I'm thinking it might be because I am on 64-bit Win 7 and installed the 64-bit Python (v2.7)

I looked on the Mapnik docs/wiki but didn't find any info. Any thoughts? Will Mapnik only work with 32-bit Python? Is there a 64-bit Mapnik (couldn't see it).

share|improve this question
add comment

1 Answer 1

up vote 8 down vote accepted

Mapnik in general works fine with both 32bit and 64bit python versions 2.4 -> 3.2 (on linux and mac osx). On Windows, however the most recent binaries available are for Mapnik 0.7.1, and those binaries only provide the python bindings compiled against 2.5 and 2.6. So, 2.7, whether 32 or 64bit will not work for those binaries.

We plan to provide new windows Mapnik binaries that are 64 bit ready for more recent python versions when Mapnik 2.1 is released, but not for Mapnik 2.0 because our developer who knows windows is not available atm.

share|improve this answer
    
OK. Thanks for the quick answer! –  Mark Ireland Aug 23 '11 at 17:04
    
Must be something different. When I try the test import I still get the same error: "%1 is not a valid Win32 application". Oh well, I will keep trying... –  Mark Ireland Aug 23 '11 at 17:23
    
v2.6.6 in 32-bit seems to solve the problem. –  Mark Ireland Aug 23 '11 at 17:53
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.